.pt-t-test-wrapper {
  -webkit-text-size-adjust: none;

  width: calc(100% - 3vw);
  height: calc(100% - 3vw);
  min-height: 280px;
  padding: 2.2vh 3.6vw 4.4vh 3.6vw;
  backdrop-filter: blur(28px);
  background-color: rgba($color: $danube, $alpha: 0.2);
  border-radius: 2.4rem;
  margin: 1.5vw;
  // transition: all 0.25s ease-in-out;
  position: relative;
  overflow-y: hidden;
  &__content {
    width: 100%;
    height: calc(100% - 16rem);
    max-height: calc(100% - 16rem);;  
    display: flex;
    align-items: center;
    position: relative;
    z-index: 1;

    & > .__container {
      width: 100%;
      height: 100%;
      max-height: calc(100% - 9.6rem);
      position: relative;
      z-index: 2;

      &.--sm {
        max-height: calc(100% - 19.2rem);
      }
    }

    & > .__blur-bg {
      width: 84%;
      height: 26.6rem;
      background: radial-gradient(rgba($color: $dodgerBlue, $alpha: 0.2), rgba($color: $dodgerBlue, $alpha: 0));
      filter: blur(3rem);
      border-radius: 13.3rem;
      position: absolute;
      bottom: 0;
      left: 50%;
      z-index: 1;
      transform: translateX(-50%);
    }
  }
}

_::-webkit-full-page-media, _:future, :root .pt-t-test-wrapper {
   height: 94%; 
}
.pt-t-wrapper {
  min-width: unset !important;
}

@include desktop-md {
  .pt-t-test-wrapper {
    &__content {
      & > .__container {
        max-height: calc(100% - 8.8rem) !important;
      }
    }
  }
}

@include desktop-sm {
  .pt-t-test-wrapper {
    // min-height: calc(600px - 3vw);

    &__content {
      height: calc(100% - 16rem);
      & > .__container {
        max-height: calc(100% - 3.2rem) !important;
      }
    }
  }
}

// @include desktop-lg {
//   .pt-t-test-wrapper {
//     min-height: calc(550px - 3vw);

//     &__content {
//       height: calc(100% - 22rem);
//       // & > .__container {
//       //   max-height: calc(100% - 3.2rem) !important;
//       // }
//     }
//   }
// }
@media only screen and (min-aspect-ratio: 4/3) {
  .pt-t-test-wrapper {
    &__content {
       height: calc(100% - 14rem);
       max-height: calc(100% - 14rem);
       margin-bottom: 1rem;
    }
  }

}
@media only screen and (max-width: 1024px) and (min-aspect-ratio: 4/3) {
  .pt-t-test-wrapper {
    // background-color: red;
    // min-height: unset !important;
    // padding: 2.2vh 2vw 1vh 2vw;
    &__content {
      & > .__container {
        width: 100%;
        z-index: 2;
        // border: 2px solid red;
        max-height: 100% !important;
        &.--sm {
          max-height: calc(100% - 19.2rem);
        }
      }
    }
    // padding-bottom: 8rem;
  }
}

@media only screen and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
  .pt-t-test-wrapper {
    width: auto;
    // height: 100vh;
    height: 100%;
    min-height: unset !important;
    margin: 0;
    padding: 2rem 1.5rem;

    background-image: url("/images/backgrounds/test-background.png");
    background-size: 100% 100%;
    border-radius: 0;
    &__content {
      height: calc(100vh - 24rem);
      &.--android{
        height: calc(100% - 24rem);
      }
      & > .__container {
        width: 100%;
        z-index: 2;
        max-height: unset;
        height: 100%;
        max-height: 100% !important;
        &.--sm {
          flex: 1;
          height: 100%;
          min-height: calc(100% - 24rem);
          // overflow: auto;
        }
      }
    }
  }
  
}

@media only screen and (max-width: 500px) and (max-aspect-ratio:3999/3000){
  _::-webkit-full-page-media, _:future, :root .pt-t-test-wrapper {
    height: 100vh; 
  }
}
@include screen-960-landscape {
  .pt-t-test-wrapper {
    width: 100%;
    height: 100%;
    // min-height: calc(880px - 3vw);
    padding: 2.2vh 2vw 0 2vw;
    margin: 0;
    border-radius: 0;
    &__content {
      padding: 0 2vw;
      height: calc(100% - 10.4rem);
      max-height: calc(100% - 10.4rem); 
      margin-bottom: 0.4rem;
      margin-top: 0.4rem;
    }
  }
}
// @include screen-960-landscape{
//   .pt-t-test-wrapper {
//     width: 100%;
//     height: 100%;
//     // min-height: calc(880px - 3vw);
//     padding: 2.2vh 3vw 2vh 3vw;
//     margin: 0;
//     border-radius: 0;
//     &__content {
//       padding: 0 2vw;
//     }
//   }
// }
// @include screen-768-landscape {
//   .pt-t-test-wrapper {
//     width: 100%;
//     height: 100%;
//     // min-height: calc(880px - 3vw);
//     padding: 2.2vh 2vw 2vh 2vw;
//     margin: 0;
//     border-radius: 0;
//     &__content {
//       padding: 0 2vw;
//       height: calc(100% - 12.4rem);
//       max-height: calc(100% - 12.4rem); 
//       margin-bottom: 0.4rem;
//     }
//   }
// }